--[[
    https://wowpedia.fandom.com/wiki/WOW_PROJECT_ID
    https://wowpedia.fandom.com/wiki/Using_the_AddOn_namespace
    https://github.com/tomrus88/BlizzardInterfaceCode/blob/master/Interface/SharedXML/SharedColorConstants.lua
]]

local _, addonTable = ...
local tocVersion = select(4, GetBuildInfo())

addonTable.project = {
    isRetail      = tocVersion >= 50000, -- faction line was added in MoP
    isClassic     = tocVersion < 20000,
    isClassic_TBC = tocVersion < 30000, -- includes isClassic

    -- isRetail      = false,
    -- isClassic     = true,
    -- isClassic_TBC = true,
}

addonTable.config = {
    hideInCombat       = false, -- only on units; for buffs, items, etc. the tooltip remains visible
    scaleFactor        = 1.0,
    showServerName     = true,
    enableClassColor   = true,
    enableGuildColor   = true,
    enableFactionColor = true, -- hostile color for the opposite faction
    showUnitHealth     = true,
    healthFont         = STANDARD_TEXT_FONT, -- 'Fonts\\ARIALN.TTF'
    healthFontSize     = 13,
    healthFontFlags    = 'OUTLINE',
    healthOffsetY      = 0,

    anchorToCursor     = true,
    cursorAnchorType   = 'ANCHOR_CURSOR_LEFT', -- '_CURSOR_LEFT', '_CURSOR', '_CURSOR_RIGHT'
    cursorOffsetX      = 0,
    cursorOffsetY      = 0,
    unlockPosition     = false,
    point              = 'BOTTOMLEFT', -- 'BOTTOMLEFT'
    relativeFrame      = QuickJoinToastButton, -- ChatFrame1Tab
    relativePoint      = 'RIGHT', -- 'TOPLEFT'
    offsetX            = 5,
    offsetY            = 0,

    showSpellID        = true,
    spellIDText        = GetLocale() == 'ruRU' and 'ID заклинания:' or 'Spell ID:',
    spellIDColor       = LEGENDARY_ORANGE_COLOR, -- HEIRLOOM_BLUE_COLOR
}

SLASH_RELOADUI1 = '/re'
SLASH_RELOADUI2 = '/rl'
SlashCmdList.RELOADUI = C_UI.Reload